%define ver_major 2.14

Name: gnome-keyring-manager
Version: %ver_major.0
Release: alt1

Summary: Keyring management program for the GNOME Desktop
License: GPL
Group: Graphical desktop/GNOME
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

# From configure.ac
%define gtk_ver 2.4.0
%define libgnomeui_ver 2.6.0
%define keyring_ver 0.3.2

PreReq: GConf2
Requires: libgtk+2 >= %gtk_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: libgnome-keyring >= %keyring_ver

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libgnome-keyring-devel >= %keyring_ver
BuildPreReq: gnome-doc-utils >= 0.3.2

BuildRequires: libSM-devel libpopt-devel perl-XML-Parser

%description
This a keyring management program for the GNOME Desktop

%define _sklocalstatedir %_localstatedir/scrollkeeper

%prep
%setup -q

%build
%configure --disable-schemas-install

%make_build

%install
export OMF_DIR=%buildroot%_sklocalstatedir
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall _sklocalstatedir=%buildroot%_sklocalstatedir
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
unset OMF_DIR

%find_lang --with-gnome %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%dir %_datadir/%name
%_datadir/%name/%name-ui.xml
%_datadir/%name/%name.glade
%_datadir/%name/*.png
%_man1dir/%name.*
%config %_sysconfdir/gconf/schemas/*

%exclude %_localstatedir/scrollkeeper

%changelog
* Mon Apr 03 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.0-alt1
- new version (2.14.0)
- cleaned up the spec
- removed Debian menu support
- updated dependencies

* Thu Mar 17 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.0.4-alt1
- First build for Sisyphus.
